VMSTAT(8)

NUME
vmstat - Raportează statisticile memoriei virtuale

REZUMAT
vmstat [opțiuni] [întârziere [număr]]

DESCRIERE
vmstat raportează informații despre procese, memorie, paginare, bloc IO, întreruperi, discuri și activitatea CPU.

Primul raport realizat oferă valorile medii de la ultima repornire. Rapoartele suplimentare oferă informații cu privire la o perioadă de eșantionare cu lungimea întârziere. Rapoartele de proces și de memorie sunt instantanee în ambele cazuri.

OPȚIUNI

întârziere
    întârzierea dintre actualizări în secunde. Dacă nu este specificată întârzierea, este afișat un singur raport cu valorile medii de la pornire.

număr
    Numărul de actualizări. În absența numărului, când întârzierea este definită, implicit este infinit.

-a, --active
    Afișează memoria activă și inactivă pentru nucleele cu versiunea 2.5.41 sau ulterioară.

-f, --forks
    Opțiunea -f afișează numărul de bifurcări de la pornire. Aceasta include apelurile de sistem fork(), vfork() și clone(), și este echivalent cu numărul total de sarcini create. Fiecare proces este reprezentat de una sau mai multe sarcini, în funcție de utilizarea firului. Această afișare nu se repetă.

-m, --slabs
    Afișează informațiile „ slab”.

-n, --one-header
    Afișează antetul doar o singură dată, nu periodic.

-s, --stats
    Afișează un tabel cu diverse contoare de evenimente și statistici de memorie. Acest tabel nu se repetă.

-d, --disk
    Afișează statisticile discului (pentru nucleele cu versiunea 2.5.70 sau mai recentă).

-D, --disk-sum
    Afișează câteva statistici rezumate despre activitatea discului.

-p, --partition partiția
    Afișează statistici detaliate despre partiții (pentru nucleele cu versiunea 2.5.70 sau mai recentă).

-S, --unit unitatea_de_măsură
    Comută unitățile de măsură de la ieșire, între 1000 (k), 1024 (K), 1000000 (m) sau 1048576 (M) octeți. Rețineți că acest lucru nu modifică câmpurile swap (sin/sieș) sau bloc (bin/bieș).

-t, --timestamp
    Adaugă marcaj de timp la fiecare linie

-w, --wide
    Mod de ieșire larg (util pentru sistemele cu o cantitate mai mare de memorie, unde modul de ieșire implicit suferă de întreruperi nedorite ale coloanelor). Ieșirea este mai mare de 80 de caractere pe linie.

-y, --no-first
    Omite primul raport cu statistici de la pornirea sistemului.

-V, --version
    Afișează informațiile despre versiune și iese.

-h, --help
    Afișează mesajul de ajutor și iese.

DESCRIEREA CÂMPULUI PENTRU MODUL VM

  Procese
r: Numărul de procese care pot fi executate (în rulare sau în așteptare pentru timpul de rulare).
b: Numărul de procese blocate care așteaptă accesul de In/Ieș pentru a finaliza.

  Memorie
Acestea sunt afectate de opțiunea --unit.
swpd: cantitatea de memorie swap utilizată.
liberă: cantitatea de memorie neutilizată.
buff: cantitatea de memorie utilizată ca memorie tampon.
cache: cantitatea de memorie utilizată ca zonă de prestocare.
inact: cantitatea de memorie inactivă.  (opțiunea -a)
activă: cantitatea de memorie activă.  (opțiunea -a)

  Swap
Acestea sunt afectate de opțiunea --unit.
sin: Cantitatea de memorie de interschimb citită de pe disc (/s).
sieș: Cantitatea de memorie de interschimb scrisă pe disc (/s).

  In/Ieș
bin: Kibiocteți preluați de la un dispozitiv bloc (Kio/s).
bieș: Kibiocteți transferați la un dispozitiv bloc (Kio/s).

  Sistem
in: Numărul de întreruperi pe secundă, inclusiv ceasul.
cs: Numărul de schimbări de context pe secundă.

  CPU
Acestea sunt procente din timpul total al procesorului.
us: Timpul petrecut rulând cod non-nucleu.  (timpul utilizatorului, inclusiv timpul „nice”)
sy: Timpul petrecut rulând codul nucleului  (timpul sistemului)
id: Timpul petrecut inactiv.  Înainte de versiunea 2.5.41 a nucleului Linux, acesta includea timpul de așteptare IO.
wa: Timpul petrecut în așteptarea In/Ieș  Înainte de versiunea 2.5.41 a nucleului Linux, era inclus în timpul petrecut inactiv (idle).
st: Timpul furat de la o mașină virtuală.  Înainte de versiunea 2.6.11 a nucleului Linux, necunoscut.
gu: Timpul petrecut rulând codul de invitat KVM (timpul pentru invitat, inclusiv timpul „nice” al invitatului).

DESCRIEREA CÂMPULUI PENTRU MODUL DISC

  Citiri
total: Numărul total de citiri finalizate cu succes
merged: citiri grupate (rezultând o singură In/Ieș)
sectors: Numărul de sectoare citite cu succes
ms: numărul de milisecunde petrecute citind

  Scrieri
total: Numărul total de scrieri finalizate cu succes
merged: scrieri grupate (rezultând o singură In/Ieș)
sectors: Numărul de sectoare scrise cu succes
ms: numărul de milisecunde petrecute scriind

  In/Ieș
cur: In/Ieș în curs de desfășurare
s: secunde petrecute pentru In/Ieș

DESCRIEREA CÂMPULUI PENTRU MODUL DE PARTIȚIE DISC
reads: Numărul total de citiri efectuate pentru această partiție
read sectors: Numărul total de sectoare citite pentru această partiție
writes : Numărul total de scrieri efectuate pentru această partiție
requested writes: Numărul total de sectoare scrise pentru această partiție

DESCRIEREA CÂMPULUI PENTRU MODUL SLAB
Modul Slab arată statisticile pentru fiecare „slab”, pentru mai multe informații despre aceste informații consultați slabinfo(5)

cache: Nume cache
num: Numărul de obiecte active în prezent
total: Numărul total de obiecte disponibile
dim.: Dimensiunea fiecărui obiect
pagini: Numărul de pagini cu cel puțin un obiect activ

NOTE
vmstat necesită acces de citire la fișierele de sub /proc. -m necesită acces de citire la /proc/slabinfo, care poate să nu fie disponibil pentru utilizatorii standard. Opțiunile de montare pentru /proc, cum ar fi subset=pid, pot avea, de asemenea, un impact asupra a ceea ce este vizibil.

CONSULTAȚI ȘI
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1), slabinfo(5)

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org